#
# Do not change to use an other upstream as this will break tomahawk and clementine build.
#
Name: liblastfm
Version: 1.0.9
Release: %mkrel 4
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services
License: GPLv3 
Group: System/Libraries
Source: https://github.com/lastfm/%{name}/archive/%{version}.tar.gz
URL: https://github.com/lastfm/liblastfm/
BuildRequires: qt4-devel
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig
BuildRequires: libsamplerate-devel
BuildRequires: fftw3-devel
BuildRequires: ruby
BuildRequires: cmake

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

#---------------------------------------------------------------------

%define lastfm_major 1

%define libname %mklibname lastfm %{lastfm_major}

%package -n %{libname}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{libname}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt4.

%files -n %{libname}
%{_libdir}/liblastfm.so.%{lastfm_major}{,.*}


%define lib5name %mklibname lastfm 5 %{lastfm_major}

%package -n %{lib5name}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{lib5name}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5name}
%{_libdir}/liblastfm5.so.%{lastfm_major}{,.*}

#---------------------------------------------------------------------

%define finger_major 1

%define libnamefinger %mklibname lastfm_fingerprint %{finger_major}

%package -n %{libnamefinger}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{libnamefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt4.

%files -n %{libnamefinger}
%{_libdir}/liblastfm_fingerprint.so.%{finger_major}{,.*}


%define lib5namefinger %mklibname lastfm_fingerprint 5 %{finger_major}

%package -n %{lib5namefinger}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{lib5namefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5namefinger}
%{_libdir}/liblastfm_fingerprint5.so.%{finger_major}{,.*}

#---------------------------------------------------------------------

%define develname %mklibname lastfm -d

%package -n %{develname}
Group: Development/C
Summary: %{name} development header
Requires: %{libname} = %{version}-%{release}
Requires: %{libnamefinger} = %{version}-%{release}
Requires: %{lib5name} = %{version}-%{release}
Requires: %{lib5namefinger} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Summary: %{name} development header
Install this package if you want do compile applications i
using the libtag library.

%files -n %{develname}
%doc README COPYING
%{_libdir}/*.so
%{_includedir}/*

#---------------------------------------------------------------------

%prep
%setup -q

%build

mkdir Qt4
pushd Qt4
%cmake_qt4 -DBUILD_FINGERPRINT=ON -DBUILD_WITH_QT4=ON ../..
%make
popd

mkdir Qt5
pushd Qt5
%cmake_qt5 -DBUILD_FINGERPRINT=ON -DBUILD_WITH_QT4=OFF ../..
%make
popd

%install
%makeinstall_std -C Qt4/build
%makeinstall_std -C Qt5/build

mv README.md README


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.0.9-4.mga6
+ Revision: 961072
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 luigiwalser <luigiwalser> 1.0.9-3.mga6
+ Revision: 739702
- remove obsoletes that were only temporarily needed

* Wed Oct 15 2014 luigiwalser <luigiwalser> 1.0.9-2.mga5
+ Revision: 739666
- fix qt5 library names (thanks Luc Menut)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 1.0.9-1.mga5
+ Revision: 738775
- enable Qt5 build
- 1.0.9
- tarball is now available from github
- only enable the Qt4 build for now (same as before)

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-3.mga5
+ Revision: 681571
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 533833
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 luigiwalser <luigiwalser> 1.0.8-1.mga4
+ Revision: 475565
- 1.0.8

* Fri May 24 2013 luigiwalser <luigiwalser> 1.0.7-2.mga4
+ Revision: 426458
- fix Source URL for liblastfm 1.0.7

* Fri May 24 2013 gw666 <gw666> 1.0.7-1.mga4
+ Revision: 426116
- new version

* Fri Feb 01 2013 luigiwalser <luigiwalser> 1.0.6-1.mga3
+ Revision: 393932
- fix URLs

  + gw666 <gw666>
    - new version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 357635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 1.0.3-1.mga3
+ Revision: 311648
- 1.0.3

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1.0.2-1.mga3
+ Revision: 289854
- 1.0.2
- add fingerprint support

* Thu Aug 02 2012 neoclust <neoclust> 1.0.1-1.mga3
+ Revision: 277753
- Use new fork/upstream, version 1.0.1

* Sat Dec 10 2011 eatdirt <eatdirt> 0.3.3-2.mga2
+ Revision: 180334
- Rebuilt for fftw-3.3

* Mon Jan 24 2011 ahmad <ahmad> 0.3.3-1.mga1
+ Revision: 35838
- imported package liblastfm


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2011.0
+ Revision: 602240
- new version 0.3.3
- 0.3.2

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-2mdv2010.1
+ Revision: 520876
- rebuilt for 2010.1

* Mon Jun 15 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.0-1mdv2010.0
+ Revision: 386166
- imported package liblastfm


